import 'package:dyte_core/dyte_core.dart';

class LocalUserSettingsRepository {
  final DyteMobileClient dyteMobileClient;
  LocalUserSettingsRepository(this.dyteMobileClient);

  bool isAudioEnabled = false;

  bool isVideoEnabled = false;

  Future<bool> toggleAudio() async {
    if (isAudioEnabled) {
      await dyteMobileClient.localUser.disableAudio();
    } else {
      await dyteMobileClient.localUser.enableAudio();
    }
    return isAudioEnabled = !isAudioEnabled;
  }

  Future<bool> toggleVideo() async {
    if (isVideoEnabled) {
      await dyteMobileClient.localUser.disableVideo();
    } else {
      await dyteMobileClient.localUser.enableVideo();
    }
    return isVideoEnabled = !isVideoEnabled;
  }
}
