import 'package:dyte_core_example/di/di.dart';
import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

class DyteCallBottomBar extends ConsumerStatefulWidget {
  const DyteCallBottomBar({Key? key}) : super(key: key);

  @override
  ConsumerState<ConsumerStatefulWidget> createState() =>
      _DyteCallBottomBarState();
}

class _DyteCallBottomBarState extends ConsumerState<DyteCallBottomBar> {
  @override
  Widget build(BuildContext context) {
    // final hostPermissions = ref.watch(dyteClient).permissions;
    final localUser = dyteMobileClient.localUser;
    return DecoratedBox(
      decoration: BoxDecoration(color: Colors.grey.shade800.withOpacity(.9)),
      child: Row(
        mainAxisSize: MainAxisSize.min,
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        children: [
          // if (hostPermissions.mediaPermissions.canPublishAudio)
          IconButton(
            onPressed: () async {
              localUser.audioEnabled
                  ? await localUser.disableAudio()
                  : await localUser.enableAudio();
            },
            icon: Icon(
              localUser.audioEnabled ? Icons.mic : Icons.mic_off,
              color: Colors.white,
            ),
          ),
          IconButton(
            onPressed: () async {
              localUser.videoEnabled
                  ? await localUser.disableVideo()
                  : await localUser.enableVideo();
            },
            icon: Icon(
              localUser.videoEnabled ? Icons.videocam : Icons.videocam_off,
              color: Colors.white,
            ),
          ),
          IconButton(
            onPressed: dyteMobileClient.leaveRoom,
            icon: const Icon(
              Icons.call_end,
              color: Colors.white,
            ),
          ),
        ],
      ),
    );
  }
}
